# List commands fires for converge action

API to get and filter commands fired for converge action

Endpoint: GET /v2/converge/{id}/commands
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `id` (string, required)
    ID of the converge object

## Query parameters:

  - `limit` (number)

  - `offset` (number)

## Response 200 fields (application/json):

  - `content` (object)

  - `content.count` (integer)

  - `content.previous` (string)

  - `content.next` (string)

  - `content.results` (array)

  - `content.results.command_request_id` (string)
    ID of the command request

  - `content.results.command_state` (string)
    Current state of the command
    Enum: "Command Queued", "Command Initiated", "Command Acknowledged", "Command In Progress", "Command TimeOut", "Command Success", "Command Failure", "Command Scheduled", "Command Cancelled"

  - `content.results.reason` (string)
    Details briefing the reason for current command state.

  - `content.results.created_at` (string)
    Creation timestamp of converge command

  - `content.results.updated_at` (string)
    Updation timestamp of converge command

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 404 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 500 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


